/[MITgcm]/MITgcm/tools/genmake2
ViewVC logotype

Diff of /MITgcm/tools/genmake2

Parent Directory Parent Directory | Revision Log Revision Log | View Revision Graph Revision Graph | View Patch Patch

revision 1.61 by edhill, Thu Jan 15 04:27:39 2004 UTC revision 1.62 by edhill, Thu Jan 15 19:19:59 2004 UTC
# Line 994  if test -r $ROOTDIR"/eesupp/src/Makefile Line 994  if test -r $ROOTDIR"/eesupp/src/Makefile
994          rm -f make_eesupp.errors          rm -f make_eesupp.errors
995      else      else
996          echo "Error: problem encountered while building source files in eesupp:"          echo "Error: problem encountered while building source files in eesupp:"
997          cat make_eesupp.errors          cat make_eesupp.errors 1>&2
998          exit 1          exit 1
999      fi      fi
1000  fi  fi
# Line 1008  if test -r $ROOTDIR"/pkg/exch2/Makefile" Line 1008  if test -r $ROOTDIR"/pkg/exch2/Makefile"
1008          rm -f make_exch2.errors          rm -f make_exch2.errors
1009      else      else
1010          echo "Error: problem encountered while building source files in exch2:"          echo "Error: problem encountered while building source files in exch2:"
1011          cat make_exch2.errors          cat make_exch2.errors 1>&2
1012          exit 1          exit 1
1013      fi      fi
1014  fi  fi
# Line 1196  for i in $PACKAGES ; do Line 1196  for i in $PACKAGES ; do
1196      fi      fi
1197  done  done
1198    
1199  #  Check for ability to build and use NetCDF  #  Build MNC templates and check for ability to build and use NetCDF
1200  echo $PACKAGES | grep ' mnc ' > /dev/null 2>&1  echo $PACKAGES | grep ' mnc ' > /dev/null 2>&1
1201  RETVAL=$?  RETVAL=$?
1202  if test "x$RETVAL" = x0 -a "x$HAVE_NETCDF" != xt ; then  if test "x$RETVAL" = x0 ; then
1203      cat <<EOF      ( cd $ROOTDIR"/pkg/mnc" && $MAKE templates ) > make_mnc.errors 2>&1
1204        RETVAL=$?
1205        if test "x${RETVAL}" = x0 ; then
1206            rm -f make_mnc.errors
1207        else
1208            echo "Error: problem encountered while building source files in pkg/mnc:"
1209            cat make_mnc.errors 1>&2
1210            exit 1
1211        fi
1212        if test -a "x$HAVE_NETCDF" != xt ; then
1213            cat <<EOF
1214    
1215  WARNING: the "mnc" package has been enabled but tests failed to  WARNING: the "mnc" package has been enabled but tests failed to
1216    compile and/or execute NetCDF applications.  Please check that:    compile and/or execute NetCDF applications.  Please check that:
# Line 1210  WARNING: the "mnc" package has been enab Line 1220  WARNING: the "mnc" package has been enab
1220         NetCDF library to link against.         NetCDF library to link against.
1221        
1222  EOF  EOF
1223        fi
1224  fi  fi
1225    
1226  # Create a list of #define and #undef to enable/disable packages  # Create a list of #define and #undef to enable/disable packages

Legend:
Removed from v.1.61  
changed lines
  Added in v.1.62

  ViewVC Help
Powered by ViewVC 1.1.22